commit 82a34dc056cf1f41f5d795796f05b91216139fda
Author: Rasmus Villemoes <rasmus.villemoes@prevas.dk>
Date:   Wed Dec 1 11:53:45 2021

    fix spelling of -linker-output-auto-nolto-rel
    
    The transposition nolto -> notlo is confusing and it makes the long
    name even harder to read than it already is - I kept reading it as
    "not lo" until I realized it was a simple typo.
    
    Fixes: 5269b24605b1 (Silence warning in LTO mode on VxWorks)
    
    lto-plugin/
            * lto-plugin.c: Fix -linker-output-auto-notlo-rel ->
            -linker-output-auto-nolto-rel typo.
            (process_option): Adjust accordingly, accepting both old and
            new spelling.
    
    gcc/
            * config/vxworks.h (LTO_PLUGIN_SPEC): Adapt to corrected
            spelling of -linker-output-auto-nolto-rel.
    
    (cherry picked from commit 1ea226fad13ab696c6d5d17b7bbfc5b4b693c363)

diff --git a/gcc/config/vxworks.h b/gcc/config/vxworks.h
index e41f16a51e8..bddf2c37f42 100644
--- a/gcc/config/vxworks.h
+++ b/gcc/config/vxworks.h
@@ -306,4 +306,4 @@ extern void vxworks_emit_call_builtin___clear_cache (rtx begin, rtx end);
    further incremental LTO linking.  We do not do repeated incremental linking
    so silence the warning (instead of passing -flinker-output=nolto-rel).  */
 #undef LTO_PLUGIN_SPEC
-#define LTO_PLUGIN_SPEC "%{!mrtp:-plugin-opt=-linker-output-auto-notlo-rel}"
+#define LTO_PLUGIN_SPEC "%{!mrtp:-plugin-opt=-linker-output-auto-nolto-rel}"
diff --git a/lto-plugin/lto-plugin.c b/lto-plugin/lto-plugin.c
index 32478f070e8..d2699472f2a 100644
--- a/lto-plugin/lto-plugin.c
+++ b/lto-plugin/lto-plugin.c
@@ -32,7 +32,7 @@ along with this program; see the file COPYING3.  If not see
    -nop: Instead of running lto-wrapper, pass the original to the plugin. This
    only works if the input files are hybrid. 
    -linker-output-known: Do not determine linker output
-   -linker-output-auto-notlo-rel: Switch from rel to nolto-rel mode without
+   -linker-output-auto-nolto-rel: Switch from rel to nolto-rel mode without
    warning.  This is used on systems like VxWorks (kernel) where the link is
    always partial and repeated incremental linking is generally not used.
    -sym-style={none,win32,underscore|uscore}
@@ -1314,7 +1314,9 @@ process_option (const char *option)
 {
   if (strcmp (option, "-linker-output-known") == 0)
     linker_output_known = true;
-  else if (strcmp (option, "-linker-output-auto-notlo-rel") == 0)
+  /* Also accept "notlo" for backwards compatibility.  */
+  else if ((strcmp (option, "-linker-output-auto-nolto-rel") == 0)
+           || (strcmp (option, "-linker-output-auto-notlo-rel") == 0))
     linker_output_auto_nolto_rel = true;
   else if (strcmp (option, "-debug") == 0)
     debug = true;

